/*
 * IBM(R) CrossWorlds(R) Collaborations, 5724-C12
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

CREATE    procedure retrieveState (
     
        @v_verb           varchar (255) ,
        @v_botype         varchar(255) ,
        @v_propdocid      varchar (255) ,
        @v_state          int,
        @v_retry          int OUTPUT      
	)

     
	as

BEGIN

        if @v_verb = 'retrieve'
        BEGIN
	  	
 select @v_retry=count(*) from cxcollabstate
            where PROPDOCID =@v_propdocid
            and BUSINESSOBJECTTYPE =@v_botype
            and STATE = @v_state;
if (@v_retry!=0)
   select @v_retry=RETRY from cxcollabstate
	  	   where PROPDOCID = @v_propdocid  
	  	   and BUSINESSOBJECTTYPE= @v_botype
                   and STATE = @v_state
        END
        COMMIT

END

GO
